Subject: Re: 2.6.17-rc4: netfilter LOG messages truncated via NETCONSOLE

From: Frank van Maarseveen <[email-masked]>
Date: Thu, 1 Jun 2006 11:11:25 +0200

On Wed, May 31, 2006 at 07:46:20PM +0200, Patrick McHardy wrote:

[...]

> > ip -s link doesn't show any
> > dropped packets so far with any patch and I don't use traffic control
> > that I'm aware of. But I'm not sure what to make of "tc" output, maybe
> > because CONFIG_SHAPER is not set:
> > 
> > 	# tc -s -d qdisc show
> > 	RTNETLINK answers: Invalid argument
> > 	Dump terminated
> 
> Thats because you're missing CONFIG_NET_SCHED. Please enable it and
> try the tc command again, without it we can't see whether the qdisc
> (which is present even without CONFIG_NET_SCHED) just dropped the
> packets.

ok, now "tc -s -d qdisc show" says (after noticing missing netconsole
packets):

qdisc pfifo_fast 0: dev eth0 bands 3 priomap  1 2 2 2 1 2 0 0 1 1 1 1 1 1 1 1
 Sent 155031 bytes 2067 pkt (dropped 0, overlimits 0 requeues 0) 
 backlog 0b 0p requeues 0 

-- 
Frank